<?php
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void
    {
        Schema::create('tenants', function (Blueprint $table) {
            $table->id();
            $table->string('slug')->unique();
            $table->string('name');
            $table->string('email');
            $table->string('email_finance');
            $table->string('url');
            $table->string('account_name');
            $table->string('account_iban');
            $table->string('account_bic');
            $table->string('city');
            $table->string('postcode');
            $table->boolean('download_exports')->default(false);
            $table->boolean('upload_exports')->default(true);
            $table->string('gdpr_text')-> nullable();
            $table->string('impress_text')->nullable();
            $table->string('url_participation_rules')->nullable();
            $table->boolean('has_active_instance')->default(true);
            $table->boolean('is_active_local_group')->default(true);

            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('tenants');
    }
};
